package com.dsic.gj_erp.controller.zyjh;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jhgk.DmYdjh;
import com.dsic.gj_erp.bean.pgd.PgdSljh;
import com.dsic.gj_erp.controller.zyjh.dto.ShangLiao;
import com.dsic.gj_erp.mapper.zyjh.YcldwMapper;
import com.dsic.gj_erp.service.jhgk.DmYdjhService;
import com.dsic.gj_erp.service.pgd.PgdSljhService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("zyjh")
@AllArgsConstructor
public class ZyjhController {

    private final DmYdjhService ydjhService;

    private final PgdSljhService pgdSljhService;

    private final YcldwMapper ycldwMapper;

    /**
     * 获取上料计划
     */
    @PostMapping("sljh")
    public ResultBean<?> sljh(){
        String date = DateUtil.date().toString("yyyy/MM/dd");
        List<DmYdjh> list = ydjhService.list(Wrappers.<DmYdjh>lambdaQuery()
                .le(DmYdjh::getSlrq, date)
                .eq(DmYdjh::getZt, "2")
        );
        return new ResultBean<>(list);
    }

    /**
     * 获取预处理垛位信息
     */
    @PostMapping("ycldw")
    public ResultBean<?> ycldw(){
        return new ResultBean<>(ycldwMapper.ycldwList());
    }

    @PostMapping("sl")
    public ResultBean<?> sl(@RequestBody ShangLiao sl){

        return new ResultBean<>();
    }

}
